[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Remember 2.0 released

From: Phillip . Lord
Subject: Re: Remember 2.0 released
Date: Sat, 19 Apr 2008 18:37:47 +0100 (BST)
User-agent: SquirrelMail/1.4.5

> Ulrich Mueller <address@hidden> writes:
>> This is not a clean way of doing things. If Emacs fails here, it is a
>> real error (i.e. there will be no .elc file), so make should _not_
>> ignore it, but abort at this point.
>> Gentoo includes a patch for the Makefile not to ignore errors
>> (already since Remember version 1.9):
>> <>
>> Otherwise we could never be sure that the automatic build process has
>> installed all desired files.
>> But anyway, thank you for the great program and keep up the good
>> work. :-)
> Actually, I think this is a bad idea.  If Gentoo is requiring that the
> make command succeed without errors, then the user will have to have
> every optional dependency (such as the deprecated emacs-wiki.el)
> installed before they can successfully build remember.  If Gentoo is
> really hot and bothered about seeing errors in the Makefile, it's better
> just to remove the "lisp" target from "all".

Can't you put in "(defvar emacs-wiki-variable)" forms in? This should stop
the compiler complaining, without requiring to have emacs-wiki around. If
it is around, then it should still work as required, I think.

Of course, if it's a lot of variables, then remember may get full of
these, which is a pain in another way.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]